Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.viewController
Class AbstractViewControllerExecutor

    java.lang.Object
      org.apache.myfaces.orchestra.viewController.AbstractViewControllerExecutor

All Implemented Interfaces:
  ViewControllerExecutor

Direct Known Subclasses:
  AnnotationsViewControllerExecutor, InterfaceViewControllerExecutor, ReflectiveViewControllerExecutor

    public abstract class AbstractViewControllerExecutor

extends Object
implements ViewControllerExecutor

An implementation of ViewControllerExecutor that can be subclassed to customise the mapping of lifecycle events to bean methods.

Orchestra provides this class so that the executor responsibilities can be extended between releases without breaking binary compatibility (something that cannot be done with an interface).

Constructor Summary
`AbstractViewControllerExecutor()`

Method Summary
`boolean` | `invokeInitView(String beanName, Object bean)`
`boolean` | `invokePreProcess(String beanName, Object bean)`
`boolean` | `invokePreRenderView(String beanName, Object bean)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractViewControllerExecutor

    public AbstractViewControllerExecutor()

Method Detail

### invokeInitView

    public boolean invokeInitView(String beanName,
                                  Object bean)

  Specified by:
    `invokeInitView` in interface `ViewControllerExecutor`

### invokePreRenderView

    public boolean invokePreRenderView(String beanName,
                                       Object bean)

  Specified by:
    `invokePreRenderView` in interface `ViewControllerExecutor`

### invokePreProcess

    public boolean invokePreProcess(String beanName,
                                    Object bean)

  Specified by:
    `invokePreProcess` in interface `ViewControllerExecutor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.